%define url_ver %(echo %{version} | cut -d. -f1,2)

#filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\.so

Summary:	A plugin for the Xfce4 panel displaying keyboard layout
Name:		xfce4-xkb-plugin
Version:	0.8.5
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-xkb-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libnotify)
Requires:	xfce4-panel

%description
A plugin for the Xfce4 panel displaying keyboard layout.
The plugin may be used as an indicator for the current layout
and to switch layouts.

The layouts must be defined either in XF86Config, by
using setxkbmap, or in xfce4-keyboard-settings.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README*
%{_datadir}/xfce4/xkb/
%{_datadir}/xfce4/panel/plugins/xkb.desktop
%{_libdir}/xfce4/panel/plugins/libxkb.so
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.xkb.{png,svg}


%changelog
* Sun Jan 05 2025 wally <wally> 0.8.5-1.mga10
+ Revision: 2135575
- new version 0.8.5

* Sun Jan 05 2025 wally <wally> 0.8.4-1.mga10
+ Revision: 2135539
- new version 0.8.4

* Thu Jul 14 2022 wally <wally> 0.8.3-1.mga9
+ Revision: 1868925
- new version 0.8.3

* Mon Apr 04 2022 umeabot <umeabot> 0.8.2-2.mga9
+ Revision: 1843423
- Mageia 9 Mass Rebuild

* Fri Dec 25 2020 wally <wally> 0.8.2-1.mga8
+ Revision: 1663622
- new version 0.8.2

* Sat Oct 31 2020 wally <wally> 0.8.1-4.mga8
+ Revision: 1641015
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Fri Feb 14 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1518663
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1301892
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.8.1-1.mga7
+ Revision: 1162012
- new version 0.8.1
- switch to gtk3

* Tue Feb 09 2016 umeabot <umeabot> 0.7.1-2.mga6
+ Revision: 952435
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.7.1-1.mga5
+ Revision: 817413
- new version 0.7.1

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 747399
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 690642
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 523597
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.7.0-1.mga4
+ Revision: 425086
- new version 0.7.0

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4.3-4.mga3
+ Revision: 386882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 wally <wally> 0.5.4.3-3.mga3
+ Revision: 359470
- fix file list after %%_libexecdir change

* Mon May 28 2012 wally <wally> 0.5.4.3-2.mga3
+ Revision: 248740
- rebuild for new libxfce4util
- clean .spec

* Sat Jan 14 2012 wally <wally> 0.5.4.3-1.mga2
+ Revision: 196035
- new version 0.5.4.3
- fix description (Radu Cristian Fotescu)
- clean .spec
- imported package xfce4-xkb-plugin


* Tue Jun 14 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.1-1mdv2011.0
+ Revision: 685174
- update to new version 0.5.4.1

* Mon May 30 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.0-2
+ Revision: 681982
- rebuild

* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4.0-1
+ Revision: 672528
- update to new version 0.5.4.0

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.3-4mdv2010.1
+ Revision: 511215
- Patch1: fix some crashes

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.5.3.3-3mdv2010.1
+ Revision: 489685
- update patch for new libxklavier

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 0.5.3.3-2mdv2010.0
+ Revision: 393442
- fix build with new libxklavier (bug #52029)

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.3-1mdv2009.1
+ Revision: 350223
- update to new version 0.5.3.3

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.2-2mdv2009.1
+ Revision: 349542
- rebuild for xfce-4.6.0

* Wed Feb 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.2-1mdv2009.1
+ Revision: 337427
- update to new version 0.5.3.2

* Mon Feb 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3.1-1mdv2009.1
+ Revision: 336306
- update to new version 0.5.3.1

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.3-1mdv2009.1
+ Revision: 335223
- update to new version 0.5.3

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 302158
- update to new version 0.5.2

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2mdv2009.1
+ Revision: 295036
- rebuild for new Xfce4.6 beta1

* Thu Sep 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 287980
- update to new version 0.5.1
- add missing buildrequires

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.4.3-6mdv2009.0
+ Revision: 262417
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.3-5mdv2009.0
+ Revision: 257028
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-3mdv2008.1
+ Revision: 110146
- correct buildrequires
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-2mdv2008.0
+ Revision: 30500
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 30296
- new version

